Upstream information

CVE-2017-11449 at MITRE

Description

coders/mpc.c in ImageMagick before 7.0.6-1 does not enable seekable streams and thus cannot validate blob sizes, which allows remote attackers to cause a denial of service (application crash) or possibly have unspecified other impact via an image received from stdin.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 6.8 6.8
Vector AV:N/AC:M/Au:N/C:P/I:P/A:P AV:N/AC:M/Au:N/C:P/I:P/A:P
Access Vector Network Network
Access Complexity Medium Medium
Authentication None None
Confidentiality Impact Partial Partial
Integrity Impact Partial Partial
Availability Impact Partial Partial
CVSS v3 Scores
  SUSE
Base Score 5.6
Vector AV:N/AC:H/PR:N/UI:N/S:U/C:L/I:L/A:L
Access Vector Network
Access Complexity High
Privileges Required None
User Interaction None
Scope Unchanged
Confidentiality Impact Low
Integrity Impact Low
Availability Impact Low
SUSE Bugzilla entry: 1049373 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12 SP2
  • ImageMagick >= 6.8.8.1-71.23.1
  • libMagick++-6_Q16-3 >= 6.8.8.1-71.23.1
  • libMagickCore-6_Q16-1 >= 6.8.8.1-71.23.1
  • libMagickCore-6_Q16-1-32bit >= 6.8.8.1-71.23.1
  • libMagickWand-6_Q16-1 >= 6.8.8.1-71.23.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP2-2018-41
SUSE Linux Enterprise Desktop 12 SP3
  • ImageMagick >= 6.8.8.1-71.23.1
  • libMagick++-6_Q16-3 >= 6.8.8.1-71.23.1
  • libMagickCore-6_Q16-1 >= 6.8.8.1-71.23.1
  • libMagickCore-6_Q16-1-32bit >= 6.8.8.1-71.23.1
  • libMagickWand-6_Q16-1 >= 6.8.8.1-71.23.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP3-2018-41
SUSE Linux Enterprise Server 11 SP4
  • ImageMagick >= 6.4.3.6-7.78.22.1
  • libMagickCore1 >= 6.4.3.6-7.78.22.1
  • libMagickCore1-32bit >= 6.4.3.6-7.78.22.1
Patchnames:
slessp4-ImageMagick-13422
SUSE Linux Enterprise Server 12 SP2
  • ImageMagick >= 6.8.8.1-71.23.1
  • libMagickCore-6_Q16-1 >= 6.8.8.1-71.23.1
  • libMagickWand-6_Q16-1 >= 6.8.8.1-71.23.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2018-41
SUSE Linux Enterprise Server 12 SP3
  • ImageMagick >= 6.8.8.1-71.23.1
  • libMagickCore-6_Q16-1 >= 6.8.8.1-71.23.1
  • libMagickWand-6_Q16-1 >= 6.8.8.1-71.23.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2018-41
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • ImageMagick >= 6.8.8.1-71.23.1
  • libMagickCore-6_Q16-1 >= 6.8.8.1-71.23.1
  • libMagickWand-6_Q16-1 >= 6.8.8.1-71.23.1
Patchnames:
SUSE-SLE-RPI-12-SP2-2018-41
SUSE Linux Enterprise Server for SAP Applications 11 SP4
  • ImageMagick >= 6.4.3.6-7.78.22.1
  • libMagickCore1 >= 6.4.3.6-7.78.22.1
  • libMagickCore1-32bit >= 6.4.3.6-7.78.22.1
Patchnames:
slessp4-ImageMagick-13422
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • ImageMagick >= 6.8.8.1-71.23.1
  • libMagickCore-6_Q16-1 >= 6.8.8.1-71.23.1
  • libMagickWand-6_Q16-1 >= 6.8.8.1-71.23.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2018-41
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • ImageMagick >= 6.8.8.1-71.23.1
  • libMagickCore-6_Q16-1 >= 6.8.8.1-71.23.1
  • libMagickWand-6_Q16-1 >= 6.8.8.1-71.23.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2018-41
SUSE Linux Enterprise Software Development Kit 11 SP4
  • GraphicsMagick >= 1.2.5-4.78.28.2
  • ImageMagick >= 6.4.3.6-7.78.22.1
  • ImageMagick-devel >= 6.4.3.6-7.78.22.1
  • libGraphicsMagick2 >= 1.2.5-4.78.28.2
  • libMagick++-devel >= 6.4.3.6-7.78.22.1
  • libMagick++1 >= 6.4.3.6-7.78.22.1
  • libMagickWand1 >= 6.4.3.6-7.78.22.1
  • libMagickWand1-32bit >= 6.4.3.6-7.78.22.1
  • perl-GraphicsMagick >= 1.2.5-4.78.28.2
  • perl-PerlMagick >= 6.4.3.6-7.78.22.1
Patchnames:
sdksp4-GraphicsMagick-13435
sdksp4-ImageMagick-13422
SUSE Linux Enterprise Software Development Kit 12 SP2
  • ImageMagick >= 6.8.8.1-71.23.1
  • ImageMagick-devel >= 6.8.8.1-71.23.1
  • libMagick++-6_Q16-3 >= 6.8.8.1-71.23.1
  • libMagick++-devel >= 6.8.8.1-71.23.1
  • perl-PerlMagick >= 6.8.8.1-71.23.1
Patchnames:
SUSE-SLE-SDK-12-SP2-2018-41
SUSE Linux Enterprise Software Development Kit 12 SP3
  • ImageMagick >= 6.8.8.1-71.23.1
  • ImageMagick-devel >= 6.8.8.1-71.23.1
  • libMagick++-6_Q16-3 >= 6.8.8.1-71.23.1
  • libMagick++-devel >= 6.8.8.1-71.23.1
  • perl-PerlMagick >= 6.8.8.1-71.23.1
Patchnames:
SUSE-SLE-SDK-12-SP3-2018-41
SUSE Linux Enterprise Workstation Extension 12 SP2
  • ImageMagick >= 6.8.8.1-71.23.1
  • libMagick++-6_Q16-3 >= 6.8.8.1-71.23.1
  • libMagickCore-6_Q16-1-32bit >= 6.8.8.1-71.23.1
Patchnames:
SUSE-SLE-WE-12-SP2-2018-41
SUSE Linux Enterprise Workstation Extension 12 SP3
  • ImageMagick >= 6.8.8.1-71.23.1
  • libMagick++-6_Q16-3 >= 6.8.8.1-71.23.1
  • libMagickCore-6_Q16-1-32bit >= 6.8.8.1-71.23.1
Patchnames:
SUSE-SLE-WE-12-SP3-2018-41
SUSE Studio Onsite 1.3
  • GraphicsMagick >= 1.2.5-4.78.28.2
  • libGraphicsMagick2 >= 1.2.5-4.78.28.2
Patchnames:
slestso13-GraphicsMagick-13435
openSUSE Leap 42.2
  • GraphicsMagick >= 1.3.25-11.60.1
  • GraphicsMagick-debuginfo >= 1.3.25-11.60.1
  • GraphicsMagick-debugsource >= 1.3.25-11.60.1
  • GraphicsMagick-devel >= 1.3.25-11.60.1
  • ImageMagick >= 6.8.8.1-30.18.1
  • ImageMagick-debuginfo >= 6.8.8.1-30.18.1
  • ImageMagick-debugsource >= 6.8.8.1-30.18.1
  • ImageMagick-devel >= 6.8.8.1-30.18.1
  • ImageMagick-devel-32bit >= 6.8.8.1-30.18.1
  • ImageMagick-doc >= 6.8.8.1-30.18.1
  • ImageMagick-extra >= 6.8.8.1-30.18.1
  • ImageMagick-extra-debuginfo >= 6.8.8.1-30.18.1
  • libGraphicsMagick++-Q16-12 >= 1.3.25-11.60.1
  • libGraphicsMagick++-Q16-12-debuginfo >= 1.3.25-11.60.1
  • libGraphicsMagick++-devel >= 1.3.25-11.60.1
  • libGraphicsMagick-Q16-3 >= 1.3.25-11.60.1
  • libGraphicsMagick-Q16-3-debuginfo >= 1.3.25-11.60.1
  • libGraphicsMagick3-config >= 1.3.25-11.60.1
  • libGraphicsMagickWand-Q16-2 >= 1.3.25-11.60.1
  • libGraphicsMagickWand-Q16-2-debuginfo >= 1.3.25-11.60.1
  • libMagick++-6_Q16-3 >= 6.8.8.1-30.18.1
  • libMagick++-6_Q16-3-32bit >= 6.8.8.1-30.18.1
  • libMagick++-6_Q16-3-debuginfo >= 6.8.8.1-30.18.1
  • libMagick++-6_Q16-3-debuginfo-32bit >= 6.8.8.1-30.18.1
  • libMagick++-devel >= 6.8.8.1-30.18.1
  • libMagick++-devel-32bit >= 6.8.8.1-30.18.1
  • libMagickCore-6_Q16-1 >= 6.8.8.1-30.18.1
  • libMagickCore-6_Q16-1-32bit >= 6.8.8.1-30.18.1
  • libMagickCore-6_Q16-1-debuginfo >= 6.8.8.1-30.18.1
  • libMagickCore-6_Q16-1-debuginfo-32bit >= 6.8.8.1-30.18.1
  • libMagickWand-6_Q16-1 >= 6.8.8.1-30.18.1
  • libMagickWand-6_Q16-1-32bit >= 6.8.8.1-30.18.1
  • libMagickWand-6_Q16-1-debuginfo >= 6.8.8.1-30.18.1
  • libMagickWand-6_Q16-1-debuginfo-32bit >= 6.8.8.1-30.18.1
  • perl-GraphicsMagick >= 1.3.25-11.60.1
  • perl-GraphicsMagick-debuginfo >= 1.3.25-11.60.1
  • perl-PerlMagick >= 6.8.8.1-30.18.1
  • perl-PerlMagick-debuginfo >= 6.8.8.1-30.18.1
Patchnames:
openSUSE-2018-35
openSUSE-2018-36
openSUSE Leap 42.3
  • GraphicsMagick >= 1.3.25-57.1
  • GraphicsMagick-debuginfo >= 1.3.25-57.1
  • GraphicsMagick-debugsource >= 1.3.25-57.1
  • GraphicsMagick-devel >= 1.3.25-57.1
  • ImageMagick >= 6.8.8.1-46.1
  • ImageMagick-debuginfo >= 6.8.8.1-46.1
  • ImageMagick-debugsource >= 6.8.8.1-46.1
  • ImageMagick-devel >= 6.8.8.1-46.1
  • ImageMagick-devel-32bit >= 6.8.8.1-46.1
  • ImageMagick-doc >= 6.8.8.1-46.1
  • ImageMagick-extra >= 6.8.8.1-46.1
  • ImageMagick-extra-debuginfo >= 6.8.8.1-46.1
  • libGraphicsMagick++-Q16-12 >= 1.3.25-57.1
  • libGraphicsMagick++-Q16-12-debuginfo >= 1.3.25-57.1
  • libGraphicsMagick++-devel >= 1.3.25-57.1
  • libGraphicsMagick-Q16-3 >= 1.3.25-57.1
  • libGraphicsMagick-Q16-3-debuginfo >= 1.3.25-57.1
  • libGraphicsMagick3-config >= 1.3.25-57.1
  • libGraphicsMagickWand-Q16-2 >= 1.3.25-57.1
  • libGraphicsMagickWand-Q16-2-debuginfo >= 1.3.25-57.1
  • libMagick++-6_Q16-3 >= 6.8.8.1-46.1
  • libMagick++-6_Q16-3-32bit >= 6.8.8.1-46.1
  • libMagick++-6_Q16-3-debuginfo >= 6.8.8.1-46.1
  • libMagick++-6_Q16-3-debuginfo-32bit >= 6.8.8.1-46.1
  • libMagick++-devel >= 6.8.8.1-46.1
  • libMagick++-devel-32bit >= 6.8.8.1-46.1
  • libMagickCore-6_Q16-1 >= 6.8.8.1-46.1
  • libMagickCore-6_Q16-1-32bit >= 6.8.8.1-46.1
  • libMagickCore-6_Q16-1-debuginfo >= 6.8.8.1-46.1
  • libMagickCore-6_Q16-1-debuginfo-32bit >= 6.8.8.1-46.1
  • libMagickWand-6_Q16-1 >= 6.8.8.1-46.1
  • libMagickWand-6_Q16-1-32bit >= 6.8.8.1-46.1
  • libMagickWand-6_Q16-1-debuginfo >= 6.8.8.1-46.1
  • libMagickWand-6_Q16-1-debuginfo-32bit >= 6.8.8.1-46.1
  • perl-GraphicsMagick >= 1.3.25-57.1
  • perl-GraphicsMagick-debuginfo >= 1.3.25-57.1
  • perl-PerlMagick >= 6.8.8.1-46.1
  • perl-PerlMagick-debuginfo >= 6.8.8.1-46.1
Patchnames:
openSUSE-2018-35
openSUSE-2018-36


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 12 SP2 ImageMagick Released
SUSE Linux Enterprise Desktop 12 SP3 ImageMagick Released
SUSE Linux Enterprise SDK 11 SP4 ImageMagick Released
SUSE Linux Enterprise SDK 12 SP2 ImageMagick Released
SUSE Linux Enterprise SDK 12 SP3 ImageMagick Released
SUSE Linux Enterprise Server 11 SP3 LTSS ImageMagick Affected
SUSE Linux Enterprise Server 11 SP4 ImageMagick Released
SUSE Linux Enterprise Server 12 GA LTSS ImageMagick Affected
SUSE Linux Enterprise Server 12 SP1 LTSS ImageMagick Affected
SUSE Linux Enterprise Server 12 SP2 ImageMagick Released
SUSE Linux Enterprise Server 12 SP3 ImageMagick Released
SUSE Linux Enterprise Workstation Extension 12 SP2 ImageMagick Released
SUSE Linux Enterprise Workstation Extension 12 SP3 ImageMagick Released